## calamares 3.3.14~sparky8~2

=== debian/changelog ===
calamares (3.3.14~sparky8~2-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Sun, 09 Mar 2025 13:05:49 -0400
