=== debian/control ===
Source: calamares
Section: utils
Priority: optional
Maintainer: pavroo <pavroo@onet.eu>
Build-Depends: cmake,
               cryptsetup <!nocheck>,
               debhelper-compat (= 13),
               extra-cmake-modules,
               gettext,
               libkf6config-dev,
               libkf6coreaddons-dev,
	       libkf6crash-dev,
               libkf6i18n-dev,
               libkf6iconthemes-dev,
               libkf6kio-dev,
               libkf6parts-dev,
               libkf6service-dev,
               libkf6solid-dev,
               libkpmcore-dev,
               libparted-dev,
               libpolkit-qt6-1-dev,
               libpwquality-dev,
               libboost-python-dev,
               libqt6svg6-dev,
               libyaml-cpp-dev,
               os-prober <!nocheck>,
               pkg-config,
               pkg-kde-tools,
               pkexec,
               python3:any,
               qt6-base-private-dev,
               qml-module-qtquick-layouts,
               qml-module-qtquick-privatewidgets,
               qml-module-qtquick-window2,
               qml-module-qtquick2,
               qt6-base-dev,
               libpam0g-dev,
               libglib2.0-bin,
               qt6-tools-dev,
               libgcrypt20-dev,
               qt6-l10n-tools
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/calamares/calamares
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/calamares
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/calamares.git

Package: calamares
Architecture: linux-any
Depends: os-prober,
	keyutils,
        e2fsprogs (>= 1.46),
        libkpmcore12,
        libqt63dcore6,
        pkexec,
        polkitd,
        qml-module-qtquick2,
        qml-module-qtquick-controls,
        qml-module-qtquick-layouts,
        qml-module-qtquick-privatewidgets,
        qml-module-qtquick-window2,
        rsync,
        sparky-artwork,
        sparky-remsu,
        squashfs-tools,
        cryptsetup,
        libglib2.0-bin,
	${misc:Depends},
	${shlibs:Depends} 
Recommends: grub-pc | grub-efi, konsole, zfsutils-linux, cryptsetup, cryptsetup-initramfs, lvm2, systemd-cryptsetup, btrfs-progs, squashfs-tools
Description: distribution-independent installer framework
 Calamares is a distribution-independent installer framework.
 .
 It provides a graphical installer that can be used with nearly
 any distribution. This package is suitable for live media on
 Debian-based systems, and won't be of any particular use on
 an already installed system.
 .
 You will likely want to provide your own config files to match
 your distribution, reading the Calamares documentation will guide
 you through that process.
