=== debian/rules ===
#!/usr/bin/make -f

# Hardening options, see: https://wiki.debian.org/Hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Help makes build paths reproducible
export DEB_BUILD_MAINT_OPTIONS=buildinfo=+path

%:
	dh $@ --with kf6

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_WITH_QT6=ON -DWEBVIEW_FORCE_WEBKIT=1 -DKDE_INSTALL_USE_QT_SYS_PATHS=ON

override_dh_fixperms:
	dh_fixperms
	chmod 755 debian/*/*/*/*/*/*/*/encrypt_hook
	chmod 755 debian/*/*/*/*/*/*/*/encrypt_hook_nokey
	chmod 755 debian/*/*/*/*/*/*/*/bootloader-eficonfig
	chmod 755 debian/*/*/*/*/*/*/*/sparkyhooks
	chmod 755 debian/*/*/*/*/*/*/*/secure-boot-install
	chmod 755 debian/*/*/*/*/*/*/*/secure-boot-fix

# Some test don't work well, we don't need to run them at package build time.
override_dh_auto_test:
