=== debian/changelog ===
calamares (3.3.14-3) unstable; urgency=medium

  * No change upload 

 -- Jonathan Carter <jcc@debian.org>  Wed, 13 Aug 2025 22:16:14 +0200

calamares (3.3.14-2) unstable; urgency=medium

  * Add libcrypt-dev as a build-dependency
    (Closes: #1107002)

 -- Jonathan Carter <jcc@debian.org>  Wed, 13 Aug 2025 21:43:18 +0200

calamares (3.3.14-1) unstable; urgency=medium

  * New upstream release 

 -- Jonathan Carter <jcc@debian.org>  Wed, 05 Mar 2025 11:54:07 +0200

calamares (3.3.13-1) unstable; urgency=medium

  * Add previous git commit and changes that weren't committed
  * Update standards version to 4.7.0
  * New upstream release
  * Migrate to Qt 6 (Closes: #1091970)
  * New build-dependency: libkf6crash-dev

 -- Jonathan Carter <jcc@debian.org>  Wed, 01 Jan 2025 20:02:50 +0200

calamares (3.3.12-1.1) unstable; urgency=medium

  * Non-maintainer-upload
  * Add Breaks/Replaces against older versions of calamares-extensions.
    (Closes: #1087059)

 -- Aaron Rainbolt <arraybolt@ubuntu.com>  Wed, 18 Dec 2024 17:48:25 -0600
