## calamares 3.3.14+p24.04+vstable+git20250901.0921

=== debian/changelog ===
calamares (3.3.14+p24.04+vstable+git20250901.0921-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Sep 2025 09:21:36 +0000

calamares (3.3.14-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Mar 2025 13:40:56 +1000

calamares (3.3.11-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 06 Nov 2024 11:16:47 +1000

calamares (3.3.10-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 18 Aug 2024 11:47:13 +1000
