## calamares 3.3.14+p24.04+vstable+git20251122.0119

=== debian/changelog ===
calamares (3.3.14+p24.04+vstable+git20251122.0119-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 01:20:08 +0000
