=== debian/changelog ===
calamares (3.3.14+p24.04+vstable+git20251130.0942-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 30 Nov 2025 09:43:03 +0000
