## calamares 3.3.14+p24.04+vstable+git20260116.1128

=== debian/changelog ===
calamares (3.3.14+p24.04+vstable+git20260116.1128-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 11:28:43 +0000
