## calamares 3.3.14+p24.04+vunstable+git20251130.0457

=== debian/changelog ===
calamares (3.3.14+p24.04+vunstable+git20251130.0457-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 30 Nov 2025 04:57:24 +0000
